%define url_ver	%(echo %{version}|cut -d. -f1,2)

# _with = default off, _without = default on
%bcond_with build_packagekit

Summary:	GNOME Settings Daemon
Name:		gnome-settings-daemon
Version:	3.24.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# upstream fixes
BuildRequires:	pkgconfig(colord) >= 0.1.12
BuildRequires:	pkgconfig(dbus-1) >= 1.1.2
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.14
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.1.5
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.3.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.4
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(ibus-1.0) >= 1.4.99.2012100
BuildRequires:	pkgconfig(kbproto)
BuildRequires:	pkgconfig(lcms2) >= 2.2
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libnotify) >= 0.7.3
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libwacom)
BuildRequires:	pkgconfig(libxklavier) >= 5.0
BuildRequires:	pkgconfig(nss) >= 3.11.2
%if %with build_packagekit
BuildRequires:	pkgconfig(packagekit-glib2) >= 0.6.12
%endif
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xorg-wacom)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(gweather-3.0)
BuildRequires:	pkgconfig(geocode-glib-1.0)
BuildRequires:	pkgconfig(geoclue-2.0) >= 2.1.0
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(libnm-glib) >= 0.9.9.1
BuildRequires:	pkgconfig(libnm-util) >= 0.9.9.1
BuildRequires:	cups-devel
BuildRequires:	intltool
BuildRequires:	ldetect-lst
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
# (cg) only needed when rebootstrapping
BuildRequires:	gettext-devel

Requires:	system-config-printer-udev

Conflicts:	gnome-control-center < 2.21.90
Conflicts:	gnome-color-manager < 3.1.2-1
Conflicts:	gnome-power-manager < 3.1.90
# ovitters: GNOME 3.8+ does not support fallback mode (gnome-panel, etc)
Conflicts:	gnome-panel <= 3.7.0-0.20130524.1
# ovitters: cursor plugin was moved to gnome-shell as of 3.16.0
Conflicts:	gnome-shell < 3.16.0

# For the media-keys 'plugin'.
# It handles extra keyboard buttons (Calculator, screenshot, shutdown, etc) as
# well as some keyboard bindings. The plugin calls these following programs
# explicitly (see plugins/media-keys/gsd-media-keys-manager.c)
#
# The plugin can be disabled per user; so if user wants really minimal
# functionality, they can disable the plugin using gsettings. As such, putting
# these programs as Suggests instead of Requires
Recommends:	gcalctool
Recommends:	gnome-power-manager
Recommends:	gnome-screenshot
Recommends:	gnome-session
# XXX - also wants one of:
# 1. tracker-needle.desktop (preferred)
# 2. gnome-search-tool.desktop (fallback)

# ibus support
Recommends:	ibus-gtk3
Recommends:	ibus-gtk

%description
GNOME settings daemon manages the configuration of the desktop in the
background.

%package devel
Summary:	Include files for the GNOME settings daemon
Group:		Development/GNOME and GTK+
Conflicts:      libgnome-window-settings-devel < 2.21.5

%description devel
Include files for the GNOME settings daemon

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
%if %with build_packagekit
	--enable-packagekit \
%else
	--disable-packagekit \
%endif
	--enable-profiling \
	--disable-static
%make V=1

%install
%makeinstall_std xmldir=%{buildroot}%{_datadir}/gnome-control-center/keybindings

#we don't want these
find %{buildroot} -name '*.la' -delete

# (cg) When building locally (with packagekit deps installed) this file was still
# produced... could be an upstream buildsystem bug?
%if %without build_packagekit
rm -f %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.updates.gschema.xml
%endif

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS
%dir %{_libdir}/gnome-settings-daemon-3.0

%{_libexecdir}/gsd-a11y-keyboard
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.A11yKeyboard.desktop

%{_libexecdir}/gsd-a11y-settings
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.A11ySettings.desktop

%{_libexecdir}/gsd-clipboard
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Clipboard.desktop

%{_libexecdir}/gsd-color
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Color.desktop

%{_libexecdir}/gsd-datetime
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Datetime.desktop

%{_libexecdir}/gsd-dummy

%{_libexecdir}/gsd-housekeeping
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Housekeeping.desktop

%{_libexecdir}/gsd-keyboard
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Keyboard.desktop

%{_libexecdir}/gsd-media-keys
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.MediaKeys.desktop

%{_libexecdir}/gsd-mouse
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Mouse.desktop

%{_libexecdir}/gsd-orientation
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Orientation.desktop

%{_libexecdir}/gsd-power
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Power.desktop

%{_libexecdir}/gsd-print-notifications
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.PrintNotifications.desktop

%{_libexecdir}/gsd-rfkill
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Rfkill.desktop

%{_libexecdir}/gsd-screensaver-proxy
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.ScreensaverProxy.desktop

%{_libexecdir}/gsd-sharing
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Sharing.desktop

%{_libexecdir}/gsd-smartcard
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Smartcard.desktop

%{_libexecdir}/gsd-sound
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Sound.desktop

%{_libexecdir}/gsd-wacom
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Wacom.desktop

%{_libexecdir}/gsd-xrandr
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.XRANDR.desktop

%{_libexecdir}/gsd-xsettings
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.XSettings.desktop

# list plugins explicitly, so we notice if one goes missing
# some of these don't have a separate gschema
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.power.gschema.xml

%if %with build_packagekit
%{_libdir}/gnome-settings-daemon-3.0/updates.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libupdates.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.updates.gschema.xml
%{_datadir}/dbus-1/interfaces/org.gnome.SettingsDaemonUpdates.xml
%endif

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.housekeeping.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.media-keys.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.wacom.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xrandr.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.sharing.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xsettings.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.color.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/libgsd.so

%{_libexecdir}/gsd-locate-pointer
%{_libexecdir}/gsd-printer
%{_libexecdir}/gsd-backlight-helper
%{_libexecdir}/gsd-test-input-helper
%{_libexecdir}/gsd-wacom-led-helper
%{_libexecdir}/gsd-wacom-oled-helper

%{_datadir}/gnome-settings-daemon/
%if %with build_packagekit
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service
%{_datadir}/dbus-1/interfaces/org.gnome.SettingsDaemonUpdates.xml
%endif

%{_datadir}/icons/hicolor/*/apps/gsd-xrandr.*

%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.power.policy
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.wacom.policy

%{_datadir}/GConf/gsettings/gnome-settings-daemon.convert

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.gschema.xml

/usr/lib/udev/rules.d/61-gnome-settings-daemon-rfkill.rules

%files devel
%{_includedir}/gnome-settings-daemon-3.0
%{_libdir}/pkgconfig/gnome-settings-daemon.pc


%changelog
* Tue May 09 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1099905
- new version 3.24.2

* Wed Apr 12 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096443
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094228
- new version 3.24.0

* Tue Mar 14 2017 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1092532
- new version 3.22.2

* Tue Oct 11 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060161
- new version 3.22.1

* Tue Sep 20 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054620
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.92.1-1.mga6
+ Revision: 1053758
- new version 3.21.92.1

* Tue Aug 02 2016 ovitters <ovitters> 3.20.1-3.mga6
+ Revision: 1044292
- remove libgnome2-schemas dependency was only needed to convert from gconf to gsettings

* Tue Jun 07 2016 tv <tv> 3.20.1-2.mga6
+ Revision: 1020644
- adjust BRs for latest systemd

* Wed Apr 13 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001002
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993528
- new version 3.20.0

* Thu Mar 17 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992409
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 984968
- new version 3.19.91

* Tue Feb 16 2016 ovitters <ovitters> 1.mga6-current
+ Revision: 962460
- new version 3.19.90

* Sun Jan 24 2016 ovitters <ovitters> 3.19.5-1.mga6
+ Revision: 926938
- new version 3.19.5

* Thu Dec 17 2015 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 911270
- new version 3.19.4

* Tue Dec 15 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910768
- new version 3.19.3

* Mon Nov 30 2015 neoclust <neoclust> 3.18.2-2.mga6
+ Revision: 907374
- Rebuild on ARM

* Tue Nov 10 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 900972
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 889938
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882582
- no more need to run autoconf
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879370
- new version 3.17.92

* Mon Aug 17 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865361
- new version 3.17.90

* Fri Jul 24 2015 sander85 <sander85> 3.17.3-2.mga6
+ Revision: 856955
- Rebuild for new gnome-desktop3

* Tue Jul 21 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 855943
- new version 3.17.3

* Mon Jun 22 2015 ovitters <ovitters> 3.17.2-2.mga6
+ Revision: 839896
- clean br

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838351
- cursor plugin moved to gnome-shell 3.16.0+
- new version 3.17.2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.4-1.mga6
+ Revision: 836361
- new version 3.14.4
- dropped merged patch 5
- dropped merged patch 4
- dropped merged patch 3
- dropped merged patch 2
- dropped merged patch 1

* Mon May 18 2015 tmb <tmb> 3.14.2-2.mga5
+ Revision: 822342
- xrandr: Free GnomeRRConfigs on stop
- xrandr: Register our DBus API only after all other initialization
- wacom: Bail out if no default area could be obtained from device
- wacom: Return NULL area if there is no backing GdkDevice
- power: make sure to set an error when GDBus set_property fails

* Wed Dec 24 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 805388
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 749638
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738633
- new version 3.14.1

* Sun Sep 28 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 731362
- new version 3.14.0
- new version 3.13.92

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670948
- new version 3.13.91

* Sat Aug 23 2014 dams <dams> 3.13.90-2.mga5
+ Revision: 666739
- rebuild for new libupower

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665048
- new version 3.13.90

* Wed Jul 23 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655948
- new version 3.13.4
- dropped merged patch 1

* Wed Jun 25 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639658
- new version 3.13.3

* Wed Jun 25 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 639529
- new version 3.13.2

* Fri May 30 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627903
- new version 3.13.1

* Mon May 05 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 620218
- new version 3.12.2

* Wed Apr 16 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615243
- new version 3.12.1

* Wed Mar 26 2014 ovitters <ovitters> 3.12.0.1-1.mga5
+ Revision: 608799
- new version 3.12.0.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607952
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604855
- new version 3.11.92

* Tue Mar 04 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599516
- new version 3.11.91

* Wed Feb 19 2014 tv <tv> 3.11.90-2.mga5
+ Revision: 594620
- rebuild for new libgnome-desktop

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594277
- new version 3.11.90

* Tue Feb 11 2014 tv <tv> 3.11.5-1.mga5
+ Revision: 589434
- adjust file list
- adjust file list

  + dams <dams>
    - rebuild for new upower

  + ovitters <ovitters>
    - new version 3.11.5

* Tue Jan 14 2014 colin <colin> 3.10.2-2.mga4
+ Revision: 566588
- Rebuild against newer PA due to (temporary) ABI breakage (mga#12155)

* Tue Nov 12 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550850
- new version 3.10.2

* Tue Oct 22 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 546360
- new version 3.10.1

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536630
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484866
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480983
- new version 3.9.92

* Sat Sep 14 2013 wally <wally> 3.9.91.1-2.mga4
+ Revision: 478925
- rebuild with new colord

* Wed Sep 04 2013 dams <dams> 3.9.91.1-1.mga4
+ Revision: 474997
- new version 3.9.91.1
- adds 'geoclue-2.0' as BR

* Tue Sep 03 2013 dams <dams> 3.9.91-1.mga4
+ Revision: 474721
- removes Patch1 (rfkill) as fixed upstream
- adds 'gweather-3.0' and 'geocode-glib-1.0' as BR
- new version 3.9.91

* Mon Sep 02 2013 colin <colin> 3.9.90-6.mga4
+ Revision: 474436
- Re-enable the datetime plugin as schema it uses is now in gsettings-desktop-schemas

* Mon Sep 02 2013 colin <colin> 3.9.90-5.mga4
+ Revision: 474417
- Temporarily disable datetime plugin as the schema is not found

* Mon Sep 02 2013 colin <colin> 3.9.90-4.mga4
+ Revision: 474308
- Update to current git master (fixes may be related to mga#11124)

* Sun Sep 01 2013 tmb <tmb> 3.9.90-3.mga4
+ Revision: 473817
- rebuild for new webkit

* Wed Aug 28 2013 blino <blino> 3.9.90-2.mga4
+ Revision: 472743
- rfkill: fix crash (from upstream), usually happens during a suspend/resume cycle

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468511
- new version 3.9.90

* Thu Aug 08 2013 tmb <tmb> 3.9.5-2.mga4
+ Revision: 464751
- dont reference non-installed org.gnome.settings-daemon.plugins.updates schema

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461078
- update file list
- new version 3.9.5

* Sun Jul 28 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 459299
- new version 3.9.3

  + ovitters <ovitters>
    - new version 3.8.4

* Sat Jun 08 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 440714
- new version 3.8.3

* Tue May 28 2013 ovitters <ovitters> 3.8.2-2.mga4
+ Revision: 429249
- add explicit conflicts on gnome-panel

* Sat May 25 2013 blino <blino> 3.8.2-1.mga4
+ Revision: 427197
- package new test programs (cursor, housekeeping, wacom-osd, xrandr)
- package remote-display plugin
- update file list:
- remove background plugin (now handled in gnome-shell)
- remove smartcard plugin (disabled by default since 3.7)
- remove gnome-fallback-mount-helper (fallback mode dropped)
- remove gsd-test-power (not installed by default anymore)
- buildrequires librsvg-2.0 devel

  + tv <tv>
    - drop merged patches
    - new release

* Sat Jan 12 2013 umeabot <umeabot> 3.6.4-2.mga3
+ Revision: 352197
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 colin <colin> 3.6.4-1.mga3
+ Revision: 347384
- New version: 3.6.4
- Remove duplicated but commented out file listings for updates plugin (not enabled)
- Forceably remove updates plugin schema when not enabled during build.
- Add screensaver-proxy plugin
- Rebase systemd patch (conflicts due to fixes for XRandR bgo#672245)

* Fri Dec 21 2012 cjw <cjw> 3.6.3-2.mga3
+ Revision: 333667
- add BuildRequires: pkgconfig(xtst)

* Thu Nov 15 2012 fwang <fwang> 3.6.3-1.mga3
+ Revision: 318035
- new version 3.6.3

* Fri Nov 09 2012 colin <colin> 3.6.2-1.mga3
+ Revision: 316536
- New version: 3.6.2
- Rebased systemd/logind handling patch

* Fri Oct 19 2012 colin <colin> 3.6.1-3.mga3
+ Revision: 308188
- Fix typo in upstream suspend handling patch (bgo#680689)

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-2.mga3
+ Revision: 306040
- update file list
- enable ibus

* Mon Oct 08 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 303649
- drop merged patch
- new version 3.6.1

* Thu Oct 04 2012 colin <colin> 3.6.0-2.mga3
+ Revision: 302723
- BuildRequire gettext-devel for bootstrapping
- Update patches from bgo#680689 (systemd suspend/power handling)
- Drop unneeded patch to work around previously broken test.
- Fix spec case
- Explicitly disable packagekit (to prevent autodetection when building outside of BS)
- Add patch from bgo#680689 (c58) for systemd > 191

* Tue Sep 25 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 297648
- update file list

  + ovitters <ovitters>
    - new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295532
- new version 3.5.92

* Wed Sep 05 2012 colin <colin> 3.5.91-1.mga3
+ Revision: 288341
- Do not package updates plugin (missed the conditional packaging)
- Add a hack to prevent a build failure on an unused test binary
- Package updates plugin

  + ovitters <ovitters>
    - new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282953
- new version 3.5.90

* Thu Aug 09 2012 ovitters <ovitters> 3.5.6-1.mga3
+ Revision: 280257
- update file list
- br docbook-style-xsl
- br xsltproc
- disable ibus support for now as version in Cauldron is too old
- new version 3.5.6
- br ibus-1.0
- new version 3.5.5

* Sun Jul 01 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 266191
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 265976
- clean spec
- update file list
- disable packagekit plugin for now
- new version 3.5.3

* Tue Jun 12 2012 ovitters <ovitters> 3.4.2-3.mga3
+ Revision: 260003
- fix suggests: gnome-screenshot, not gnome-screenshot_s_

* Mon Jun 11 2012 ovitters <ovitters> 3.4.2-2.mga3
+ Revision: 259800
- enable systemd

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235712
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231063
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226763
- new version 3.4.0

* Sat Mar 24 2012 ovitters <ovitters> 3.3.92-2.mga2
+ Revision: 226079
- add media-keys plugin requiments as suggests (as plugin could be disabled via gsettings)

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224296
- new version 3.3.92
- drop merged patch

* Tue Mar 06 2012 colin <colin> 3.3.91-2.mga2
+ Revision: 220233
- Remove services locaton patch (location reverted in new version) mga#4648

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219234
- new version 3.3.91

* Fri Feb 24 2012 ovitters <ovitters> 3.3.90.1-3.mga2
+ Revision: 213791
- really fix mga#4648

* Thu Feb 23 2012 ovitters <ovitters> 3.3.90.1-2.mga2
+ Revision: 213533
- fix dbus service location (mga#4648)

* Wed Feb 22 2012 wally <wally> 3.3.90.1-1.mga2
+ Revision: 212305
- add patch to fix linking
- add patch from upstream git to fix numlock always on

  + ovitters <ovitters>
    - new version
    - drop patch taken earlier from git

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206493
- update file list
- new version

  + tv <tv>
    - rebuild for new libwacom

* Mon Jan 23 2012 dmorgan <dmorgan> 3.3.4-2.mga2
+ Revision: 200202
- Fix package ownage

* Tue Jan 17 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 197448
- new version 3.3.4

* Fri Dec 23 2011 wally <wally> 3.3.3.1-1.mga2
+ Revision: 186842
- new version 3.3.3.1

* Wed Dec 21 2011 wally <wally> 3.3.3-12.mga2
+ Revision: 185514
- fix exec path in .desktop file (mga#3842)

* Wed Dec 21 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 185385
- update file list
- bump req
- new version 3.3.3

* Wed Nov 23 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 171387
- new version 3.3.2
- bump gsettings-desktop-schemas dep

* Wed Nov 09 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 165930
- new version 3.2.2

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155786
- drop patch from upstream
- new version 3.2.1
- clean .spec a bit

* Fri Sep 30 2011 blino <blino> 3.2.0-3.mga2
+ Revision: 150602
- power: Do not sleep-on-idle by default (euphor does not like going to sleep after being up for just 30 minutes)

* Wed Sep 28 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 149696
- rebuild for glib 2.30

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148791
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145535
- update file list
- new version 3.1.92

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138807
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136728
- new version 3.1.90

  + wally <wally>
    - new version 3.1.5
    - drop upstreamed and unused patches
    - fix Exec path in gnome-fallback-mount-helper.desktop
    - new version 3.1.4
    - add patches from upstream GIT to build fallback mounter correctly

* Sat Jul 16 2011 cjw <cjw> 3.1.3-4.mga2
+ Revision: 124926
- patch8: color management plugin: fix crash on error when run by gdm

* Wed Jul 13 2011 wally <wally> 3.1.3-3.mga2
+ Revision: 123726
- drop unneeded post and preun scripts
- enable gconf bridge (mirrors settings between gsettings and gconf)
- clean .spec a bit

* Wed Jul 06 2011 cjw <cjw> 3.1.3-2.mga2
+ Revision: 119518
- add conflicts on old gnome-color-manager because some files were moved here

* Wed Jul 06 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 119250
- add BuildRequires: lcms2-devel
- add BuildRequires: libcolord-devel
- 3.1.3

  + dmorgan <dmorgan>
    - New version 3.1.2

* Wed Jun 08 2011 dmorgan <dmorgan> 3.1.1-1.mga2
+ Revision: 101772
- New version 3.1.1
  Sync with fedora

* Wed Jan 19 2011 blino <blino> 2.32.1-2.mga1
+ Revision: 24822
- remove old version in comments
- imported package gnome-settings-daemon


* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597709
- update to new version 2.32.1

  + John Balcaen <mikala@mandriva.org>
    - Fix BR for libcanberra-gtk-devel

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581339
- update to new version 2.32.0

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578228
- update to new version 2.31.92

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574720
- update to new version 2.31.91

* Tue Aug 03 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 565424
- new version
- bump deps
- update file list

* Tue Jun 22 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 548564
- Release 2.30.2
- Remove patch7 (merged upstream)

* Mon May 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-4mdv2010.1
+ Revision: 544375
- Patch7 (GIT): various bug fixes from GIT

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-3mdv2010.1
+ Revision: 543367
- Requires libgnome2-schemas for default settings

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 543320
- Fix url
- Remove dependencies, they don't belong to gnome-settings-daemon

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539012
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528807
- update to new version 2.30.0

* Mon Mar 08 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516760
- new version
- bump libgnome-desktop dep

* Wed Feb 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.91.1-1mdv2010.1
+ Revision: 510669
- new version
- add new icons

* Mon Feb 08 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502213
- update to new version 2.29.90

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 496516
- update to new version 2.29.6

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-2mdv2010.1
+ Revision: 490514
- rebuild for new libgnome-desktop

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 490413
- new version
- drop patches 0,7

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.28.1-3mdv2010.1
+ Revision: 489677
- patch for new libxklavier

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-2mdv2010.0
+ Revision: 459932
- Patch7 (GIT): fix fuzziness (GNOME bug #567249) (GIT)

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458667
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446545
- update build deps
- new version
- rediff patch 4
- update file list

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 432563
- new version
- update file list

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420301
- update to new version 2.27.91

* Fri Aug 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 416300
- update to new version 2.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 401388
- new version
- update file list
- remove old build deps

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395925
- new version
- drop patches 0,5
- rediff patch 6
- update file list

* Thu Jul 02 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-3mdv2010.0
+ Revision: 391838
- replace libxklavier patch by official git version

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-2mdv2010.0
+ Revision: 390586
- make it build with new libxklavier
- drop patch 2

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 385998
- new version
- disable patch 2, must be checked

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374175
- new version

* Wed Apr 15 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 367274
- update to new version 2.26.1

* Sun Apr 12 2009 Colin Guthrie <cguthrie@mandriva.org> 2.26.0-3mdv2009.1
+ Revision: 366486
- Regenerate makefiles due to touchpad support patch
- Package and install touchpad schema files
- Make tap-to-click default to on

* Sat Apr 11 2009 Colin Guthrie <cguthrie@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 366212
- Port touchpad preferences from Fedora + enable edgescroll by default

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355852
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347559
- update to new version 2.25.92

* Fri Feb 06 2009 Frederic Crozat <fcrozat@mandriva.com> 2.25.90-2mdv2009.1
+ Revision: 338032
- Add pulseaudio-devel as buildrequires

* Thu Feb 05 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 337701
- new version
- update file list

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315952
- new version
- bump deps

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 308992
- new version
- update patch 2
- update schemas list

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-2mdv2009.1
+ Revision: 300180
- rebuild for new  gnome-desktop

* Tue Nov 04 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 299879
- new version
- update file list

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287362
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282507
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278410
- new version
- update build deps

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273733
- new version
- bump deps

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.6-2mdv2009.0
+ Revision: 273170
- Patch1: don't use X server dpi value by default but 96 instead, should fix huges fonts on very small screens (with high dpi)

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263507
- new version
- update file list

* Fri Jul 25 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 248646
- new version
- add icons

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-2mdv2009.0
+ Revision: 231601
- add patch from Fedora for evdev keyboards

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231149
- new version
- drop patch
- bump deps
- update file list

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 2.22.2.1-1mdv2009.0
+ Revision: 212724
- new version
- drop patch 0

* Thu May 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.1-2mdv2009.0
+ Revision: 210079
- Disable underlinking, it doesn't work well with plugins
- Patch0 (SVN): apply background even if nautilus is enabled (GNOME bug #531487)
- Patch1: don't apply background when it is disabled

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192496
- new version
- drop patch 0

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-3mdv2008.1
+ Revision: 191664
- Update patch0 with more fixes from SVN

* Thu Mar 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 190652
- Patch0: various fixes from SVN

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183691
- new version
- update gconf schemas list

* Mon Mar 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.92-2mdv2008.1
+ Revision: 178058
- Disable esd support, since we ship with PulseAudio instead (recommended by upstream too)

* Sat Mar 01 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 177162
- new version

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.91-3mdv2008.1
+ Revision: 176411
- Add suggests on mandriva-theme (for background)

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-2mdv2008.1
+ Revision: 165896
- fix upgrade problem with existing dir %%_libexecdir/%%name

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165342
- new version
- update file list
- fix installation
- update the conflict with gnome-control-center (bug #37664)

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.2-1mdv2008.1
+ Revision: 160786
- new version
- drop patch

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-3mdv2008.1
+ Revision: 160714
- fix libexec dir (bug #37369)

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-2mdv2008.1
+ Revision: 160709
- rebuild for new libxklavier

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90.1-1mdv2008.1
+ Revision: 159873
- new version
- change back libexec dir

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159760
- new version
- drop patch

* Tue Jan 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.5.2-2mdv2008.1
+ Revision: 156264
- Patch0: fix missing XFT xsettings export (Mdv bug #37037, GNOME bug #511221)

  + Götz Waschk <waschk@mandriva.org>
    - improve file list
    - conflict with old devel package

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5.2-1mdv2008.1
+ Revision: 153114
- import gnome-settings-daemon


* Tue Jan 15 2008 Gtz Waschk <waschk@mandriva.org> 2.21.5.2-1mdv2008.1
- initial package
